[Fusionforge-commits] FusionForge branch 6.0 updated. v6.0.3-22-ge2995cf

Sylvain Beucler beuc-inria at libremir.placard.fr.eu.org
Thu Nov 5 10:54:24 CET 2015


This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "FusionForge".

The branch, 6.0 has been updated
       via  e2995cf70b7c74f8e18a7748017da47fe1920e42 (commit)
      from  1c0f2ceda34d746a4db6ae9e46e2562a620316bd (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
https://scm.fusionforge.org/anonscm/gitweb/?p=fusionforge/fusionforge.git;a=commitdiff;h=e2995cf70b7c74f8e18a7748017da47fe1920e42

commit e2995cf70b7c74f8e18a7748017da47fe1920e42
Author: Sylvain Beucler <sylvain.beucler at inria.fr>
Date:   Thu Nov 5 10:53:52 2015 +0100

    testsuite: attempt to mitigate timeouts

diff --git a/tests/func_tests.sh b/tests/func_tests.sh
index 38e9715..57422e5 100755
--- a/tests/func_tests.sh
+++ b/tests/func_tests.sh
@@ -98,6 +98,20 @@ install_selenium() {
 EOF
 }
 
+# Mitigate testsuite timeouts, cf.
+# http://lists.fusionforge.org/pipermail/fusionforge-general/2015-November/002955.html
+fixup_nss() {
+    conf=''
+    case $INSTALL_OS in
+	debian*) conf='/etc/apache2/envvars' ;;
+	centos*) conf='/etc/sysconfig/httpd' ;;
+    esac
+    if ! grep -q PGPASSFILE $conf; then
+	echo 'PGPASSFILE=' >> $conf
+    fi
+}
+
+fixup_nss
 
 install_selenium
 

-----------------------------------------------------------------------

Summary of changes:
 tests/func_tests.sh | 14 ++++++++++++++
 1 file changed, 14 insertions(+)


hooks/post-receive
-- 
FusionForge



More information about the Fusionforge-commits mailing list